/*
   base/navpoint.cc
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#include "base/navpoint.h"
#include "base/base.h"

namespace base
{

NavPoint::NavPoint() : core::Entity(core::Entity::Static | core::Entity::Bright)
{
	entity_shape = core::Entity::Diamond;
	entity_color.assign(1.0f, 1.0f);
	entity_color_second.assign(0.6f, 1.0f);
	entity_radius = 0.25f;

	entity_moduletypeid = navpoint_enttype;
}

NavPoint::~NavPoint()
{
}

}
