/*
   base/star.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include "base/base.h"
#include "base/star.h"


namespace base {

Star::Star() : core::EntityGlobe(core::Entity::Static | core::Entity::Solid | core::Entity::Bright)
{
	entity_color = math::Color(1,1,1,1);	// white
	entity_radius = 96;			// 96 game units

	entity_moduletypeid = star_enttype;
}

Star::~Star()
{
}

} // namespace game
