/*
   model/flare.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_MODEL_FLARE_H__
#define __INCLUDED_MODEL_FLARE_H__

#include "model/light.h"

namespace model
{

/// a flare is a directional light
class Flare : public Light
{
public:
	Flare();
	~Flare();
	
	inline float angle() const
	{
		return flare_angle;
	}
	
	float			flare_angle;
};

}

#endif // __INCLUDED_MODEL_FLARE_H__
