/*
   base/jumppoint.cc
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#include "base/base.h"
#include "base/jumppoint.h"

namespace base
{

JumpPoint::JumpPoint() : core::Entity(core::Entity::Static | core::Entity::Bright)
{
	entity_shape = core::Entity::Diamond;
	entity_color.assign(0.0f, 0.8f, 0.8f, 1.0f);
	entity_color_second.assign(0.6f, 1.0f);
	entity_radius = 0.25f;

	entity_moduletypeid = jumppoint_enttype;
	jumppoint_target = 0;
	entity_serverside = false;
}

JumpPoint::~JumpPoint()
{
}

}
