/*
   model/quad.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/quad.h"

namespace model
{

Quad::Quad(math::Vector3f const &v0, math::Vector3f const &v1, math::Vector3f const &v2, math::Vector3f const &v3,
	   math::Vector3f const &normal, math::Color const &color, bool detail) :
		quad_v0(v0),
		quad_v1(v1),
		quad_v2(v2),
		quad_v3(v3),
		quad_normal(normal),
		quad_color(color)
{
	quad_detail = detail;
}

Quad::~Quad()
{}

}
