/*
   render/draw.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_RENDER_DRAW_H__
#define __INCLUDED_RENDER_DRAW_H__

#include "math/axis.h"
#include "math/vector3f.h"

namespace render 
{

/// draw the world
void draw(float seconds);

/// reset
void reset();

/// draw a sphere
void draw_sphere(math::Color const & color, float radius);

class Stats {
public:
	static void clear();

	static size_t tris;
	static size_t quads;
};

}

#endif // __INCLUDED_RENDER_DRAW_H__

